This week's book giveaway is in the JavaScript forum.
We're giving away four copies of Cross-Platform Desktop Applications: Using Node, Electron, and NW.js and have Paul Jensen on-line!
See this thread for details.
Win a copy of Cross-Platform Desktop Applications: Using Node, Electron, and NW.js this week in the JavaScript forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic

Primorse Connection Pool Issue with Tomcat6  RSS feed

 
anupv desai
Greenhorn
Posts: 2
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi:

Previously i am using Tomcat5 and Primorse connection pooling in my web application.
And now i have changed my tomcat version to 6.0.29, but Primorse connection pool not supported to Tomcat6.

So can any body help me to handle this? Actually i don't want to change that pool.


Thank You,
Anup
 
Tim Holloway
Bartender
Posts: 18662
71
Android Eclipse IDE Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
In theory, connection poolers are supposed to be plug-compatible components that expose the DataSource interface, so just upgrading Tomcat isn't supposed to be an issue. And, as far as I'm aware, there's no reason a pooler that worked with Tomcat 5.5 wouldn't work with Tomcat 6. Tomcat 5.0 is less certain, but that's because of the JVM requirements changes.

A bigger problem is that I'm not sure how viable Primrose is these days. Their website is broken at the moment. If they're an open-source product, it should be possible to persuade it to work under newer versions of Tomcat. If it's proprietary, you may be out of luck.
 
It is sorta covered in the JavaRanch Style Guide.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!